Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 838949 - app-crypt/seahorse-42.0 fails "pgp / gpgme-backend" test with USE=-ldap
Summary: app-crypt/seahorse-42.0 fails "pgp / gpgme-backend" test with USE=-ldap
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://gitlab.gnome.org/GNOME/seahor...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-17 15:47 UTC by Agostino Sarubbo
Modified: 2022-07-30 08:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,268.75 KB, text/plain)
2022-04-17 15:48 UTC, Agostino Sarubbo
Details
1-testlog.txt (1-testlog.txt,4.32 KB, text/plain)
2022-04-17 15:48 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2022-04-17 15:47:58 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-crypt/seahorse-41.0-r1 fails tests.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2022-04-17 15:48:00 UTC
Created attachment 771116 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2022-04-17 15:48:01 UTC
Created attachment 771119 [details]
1-testlog.txt

1-testlog.txt
Comment 3 Agostino Sarubbo gentoo-dev 2022-04-17 15:48:02 UTC
Error(s) that match a know pattern:


4/4 seahorse:pgp / gpgme-backend            FAIL            0.05s   killed by signal 5 SIGTRAP
Run-time dependency avahi-client found: NO (tried pkgconfig and cmake)
Run-time dependency avahi-glib found: NO (tried pkgconfig and cmake)
Comment 4 Matt Turner gentoo-dev 2022-04-17 17:48:04 UTC
Error is:

Bail out! seahorse-FATAL-WARNING: server-category.vala:52: Unsupported scheme 'ldap'
stderr:

(/var/tmp/portage/app-crypt/seahorse-41.0-r1/work/seahorse-41.0-build/pgp/gpgme-backend:42): seahorse-WARNING **: 08:41:36.930: server-category.vala:52: Unsupported scheme 'ldap'
Comment 5 Agostino Sarubbo gentoo-dev 2022-07-30 08:28:10 UTC
tinderbox_musl has reproduced this issue with version 42.0 - Updating summary.